Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004446OCamlCaml lightpublic2007-11-11 19:592012-02-02 15:19
Reporteravsm 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.0 
Target VersionFixed in Version3.10+dev 
Summary0004446: configure script detection for X11 on MacOS X 10.5
DescriptionThe shared libraries on MacOS X end in .dylib, which is not detected correctly by the configure script and so X11 support isnt compiled in. Minor patch below sorts it out:

--- configure.orig 2007-11-11 18:43:26.000000000 +0000
+++ configure 2007-11-11 18:43:58.000000000 +0000
@@ -1221,6 +1221,7 @@
   if test -f $dir/libX11.a || \
      test -f $dir/libX11.so || \
      test -f $dir/libX11.dll.a || \
+ test -f $dir/libX11.dylib || \
      test -f $dir/libX11.sa; then
     if test $dir = /usr/lib; then
       x11_link="-lX11"

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2007-11-11 19:59 avsm New Issue
2007-11-12 14:07 xleroy Status new => assigned
2007-11-12 14:07 xleroy Assigned To => doligez
2007-11-21 16:45 ertai Assigned To doligez => ertai
2007-11-21 16:45 ertai Status assigned => resolved
2007-11-21 16:45 ertai Resolution open => fixed
2007-11-21 16:45 ertai Fixed in Version => 3.10+dev
2010-04-29 14:26 xleroy Status resolved => closed
2012-02-02 15:19 protz Category Caml-light => Caml light


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker